# $Revision: 1.10.2.1 $, $Date: 2007/03/09 08:41:03 $
%define		_rc	rc1
Summary:	Audio sub system for multiple applications
Summary(pl):	Dwikowy podsystem dla zoonych aplikacji
Name:		FusionSound
Version:	1.0.0
Release:	0.%{_rc}.1
License:	GPL
Group:		Libraries
Source0:	http://www.directfb.org/downloads/Core/%{name}-%{version}-%{_rc}.tar.gz
# Source0-md5:	b9a64ec13b57763e53b13ba4bec86f90
URL:		http://www.directfb.org/index.php?path=Development/Projects/FusionSound
Patch0:		%{name}-conf.patch
Patch1:		%{name}-DirectFB_version.patch
BuildRequires:	DirectFB-devel >= 1:%{version}
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FusionSound supports multiple applications using Fusion IPC. It
provides streams, static sound buffers and control over any number of
concurrent playbacks. Sample data is always stored in shared memory,
starting a playback simply adds an entry to the playlist of the mixer
thread in the master application.

%description -l pl
FusionSound wspiera zoone aplikacje uywajce Fusion IPC. Dostarcza
strumieni, statyczny bufor dwikowy i kontrol poprzez kad ilo
konkurencyjnych odtwarzaczy. Prbkowana dana jest zawsze przechowywana
w pamici dzielonej. Rozpoczynajc odtwarzanie dodaje wejcie do listy
odtwarzania miksera w nadrzdnej aplikacji.

%package devel
Summary:	Development files for the FusionSound
Summary(pl):	Pliki rozwojowe dla FusionSound
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	DirectFB-devel >= 1:%{version}

%description devel
Header files required for development using FusionSound.

%description devel -l pl
Pliki nagwkowe wymagane do tworzenia programw z uyciem
FusionSound.

%package static
Summary:	Static FusionSound library
Summary(pl):	Statyczna biblioteka FusionSound
Group:		Development/Libraries
# base for directory, -devel for headers
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static FusionSound library.

%description static -l pl
Statyczna biblioteka FusionSound.

%prep
%setup -q -n %{name}-%{version}-%{_rc}
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -rf examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post 	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog TODO docs/html/[!M]*
%attr(755,root,root) %{_bindir}/fsdump
%attr(755,root,root) %{_bindir}/fsmaster
%attr(755,root,root) %{_libdir}/libfusionsound-*.so.*.*.*
%dir %{_libdir}/directfb-*/interfaces/IFusionSound
%attr(755,root,root) %{_libdir}/directfb-*/interfaces/IFusionSound/lib*.so
%dir %{_libdir}/directfb-*/interfaces/IFusionSoundMusicProvider
%attr(755,root,root) %{_libdir}/directfb-*/interfaces/IFusionSoundMusicProvider/lib*.so
%dir %{_libdir}/directfb-*/snddrivers
%attr(755,root,root) %{_libdir}/directfb-*/snddrivers/libfusionsound*.so
%{_mandir}/man5/fusionsoundrc.5.gz

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfusionsound.so
%{_libdir}/libfusionsound.la
%{_includedir}/fusionsound
%{_includedir}/fusionsound-internal
%{_pkgconfigdir}/*.pc
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libfusionsound.a
# .la makes no sense in -devel (it's module); here for DFB static linking hacks
%{_libdir}/directfb-*/interfaces/IFusionSound/lib*.[la]*
%{_libdir}/directfb-*/interfaces/IFusionSoundMusicProvider/lib*.[la]*
%{_libdir}/directfb-*/snddrivers/libfusionsound*.[la]*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: FusionSound.spec,v $
Revision 1.10.2.1  2007/03/09 08:41:03  hawk
- updated to 1.0.0-rc1
- simplified %files for static subpackage

Revision 1.10  2006/12/11 21:13:42  pluto
- release 2, rebuild with P: *.la.

Revision 1.9  2006/08/18 22:26:11  jackass
- typo

Revision 1.8  2006/05/20 15:12:02  qboosh
- updated to 0.9.25

Revision 1.7  2005/10/23 16:50:56  qboosh
- updated URL

Revision 1.6  2005/10/23 16:23:15  qboosh
- updated to 0.9.23

Revision 1.5  2005/03/05 00:05:07  qboosh
- updated to 0.9.22

Revision 1.4  2005/01/11 22:15:39  qboosh
- updated to 0.9.21

Revision 1.3  2004/01/09 15:49:32  qboosh
- missing dirs, some devel/static reorders (it's module, not library)
- rebuild whole ac/am/lt
- -devel R: DirectFB-devel

Revision 1.2  2004/01/04 16:05:55  yogib
- Rel 1
- added CFLAGS patch, BR: autoconf

Revision 1.1  2004/01/02 21:36:01  yogib
- initial version
